Skip to Content
v1.5Official documentation for the LX CloudPos API · stable in production

Query customer

GET /api/v1/clientes/{identificacion}

Look up a customer by identification — individual ID number, corporate ID number, DIMEX, or passport. See Identification type.

Authentication and permissions

AttributeValue
SchemeAPI key (X-Api-Key)
Required scopecatalogo:read
Rate limit120 req/min per API key

Example

curl https://api.pos.lxsyscr.com/api/v1/clientes/117890123 \ -H "X-Api-Key: $LXS_API_KEY"

Responses

200 OK

{ "idCliente": 46, "identificacion": "117890123", "tipoIdentificacion": "01", "nombre": "Cliente Prueba", "apellidos": "Integracion API", "nombreInterno": null, "correo": "cliente.prueba@ejemplo.cr", "telefono": "8888-8888", "direccion": null, "comentario": null, "estado": true, "exonerado": false, "pagaTimbre": false, "limiteCredito": null, "exoneraciones": [ { "idExoneracion": 7, "tipoDocumento": "03", "tipoDocumentoNombre": "Exoneración compras autorizadas de Zona Franca", "numeroDocumento": "EX-2026-00412", "nombreInstitucion": "PROCOMER", "fechaEmision": "2026-01-10T00:00:00Z", "fechaExpiracion": "2027-01-10T00:00:00Z", "porcentajeExoneracion": 100, "estado": true, "vigente": true } ] }

404 Not Found

{ "error": "No existe un cliente con identificación '117890123'." }

Operational notes

  • It does not filter by estado: a deactivated customer is returned all the same.
  • exoneraciones is the only way to get the idExoneracion sent per line when issuing a document — see Tax exemptions. A customer with no registered exemptions returns an empty [].